/*--------------------------------------------------------------------------*/
/*                                                                          */
/*                                                                          */
/*      ------------         Bit-Bucket Software <no-Inc>                   */
/*      \ 10001101 /         Writers and Distributors of                    */
/*       \ 011110 /          No-Cost<no-tm> Software.                       */
/*        \ 1011 /                                                          */
/*         ------                                                           */
/*                                                                          */
/*  Copyright (C) 1987, 1988, 1989 by Robert Hartman and Vincent Perriello  */
/*                                                                          */
/*                                                                          */
/*             Prototype definitions used in BinkleyTerm 2.10               */
/*                                                                          */
/*                                                                          */
/*    For complete  details  of the licensing restrictions, please refer    */
/*    to the License  agreement,  which  is published in its entirety in    */
/*    the MAKEFILE and BT.C, and also contained in the file LICENSE.210.    */
/*                                                                          */
/*    USE  OF THIS FILE IS SUBJECT TO THE  RESTRICTIONS CONTAINED IN THE    */
/*    BINKLEYTERM  LICENSING  AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF    */
/*    THIS  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES,  OR IF YOU DO    */
/*    NOT HAVE THESE FILES,  YOU SHOULD  IMMEDIATELY CONTACT THE AUTHORS    */
/*    AT THE  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO    */
/*    USE   THIS  FILE  WITHOUT  HAVING   ACCEPTED  THE  TERMS  OF   THE    */
/*    BINKLEYTERM  LICENSING AGREEMENT,  OR SUCH OTHER  AGREEMENT AS YOU    */
/*    ARE ABLE TO REACH WITH THE AUTHORS.                                   */
/*                                                                          */
/*                                                                          */
/*    The Authors can be reached at the following addresses:                */
/*                                                                          */
/*    Robert C. Hartman                      Vincent E. Perriello           */
/*    Spark Software                         VEP Software                   */
/*    427-3 Amherst Street                   111 Carroll Street             */
/*    CS2032, Suite 232                      Naugatuck, CT 06770            */
/*    Nashua, NH 03061                                                      */
/*                                                                          */
/*    FidoNet 1:132/101                      FidoNet 1:141/491              */
/*    Data    (603) 888-8179                 Data    (203) 729-7569         */
/*                                                                          */
/*    Please feel free to contact us at any time to share your comments     */
/*    about our software and/or licensing policies.                         */
/*                                                                          */
/*--------------------------------------------------------------------------*/

#ifdef __TURBOC__
int _dos_read(int fd, void far *buf, int nbytes, int *bytes_read);
#endif


#ifndef OS_2    /*PLF Sat  05-06-1989  03:31:34 */
/*PLF these are macros in os/2 version. See com_os2.h */
int MODEM_IN (void);
int MODEM_STATUS (void);
int PEEKBYTE (void);
void SENDBYTE (unsigned char);
void CLEAR_INBOUND (void);
void CLEAR_OUTBOUND (void);
void SENDCHARS (char *, int, int);
void do_break (int);
int real_flush (int);
#endif          /*PLF Sat  05-06-1989  03:31:39 */

void BUFFER_BYTE (unsigned char);
void UNBUFFER_BYTES (void);
void b_initvars (void);
void b_defaultvars (void);
void b_sbinit (void);
int got_ESC (void);
void BBSexit (void);
long timerset (unsigned int);
void sendbanner (char *);
int Com_ (char,...);
int timeup (long);
void status_line (char *,...);
int sb_move (REGIONP, int, int);
int sb_puts (REGIONP, unsigned char *);
int time_to_next (void);
void MDM_DISABLE (void);
void write_sched (void);
void fossil_gotoxy (int, int);
void close_up (void);
void scr_printf (char *,...);
void MDM_ENABLE (int);
void opening_banner (void);
void mailer_banner (void);
int sb_show (void);
void sb_clean (void);
void sb_dirty (void);
void UUCPexit (int);
void come_back (void);
int Cominit (int);
char *fancy_str (char *);
int got_error (char *, char *);
int dfind (struct FILEINFO *, char *, int);
int n_frproc (char *, int, int (*)(char *));
void Make_Response (char *, int);
int do_FLOfile (char *, int (*)(char *));
void fidouser (char *, int *, int *, int *, int *);
void main_help (void);
void mailer_help (void);
int n_password (char *, char *);
int n_getpassword (int, int, int);
void time_release (void);
int nodefind (int, int, int, int);
void do_extern (char *, char, char *);
int dexists (char *);
int do_script (char *);
void timer (int);
void mdm_cmd_string (char *, int);
void dostime (int *, int *, int *, int *);
void dosdate (int *, int *, int *, int *);
void send_break (int);
void mdm_cmd_char (char);
int modem_response (int);
int set_baud (unsigned, int);
int list_search (void);
int nodeproc (char *);
int try_1_connect (char *);
void gong (void);
void b_init (void);
void b_session (int);
void do_ready (char *);
unsigned int com_getc (int);
int FTSC_receiver (int);
int Whack_CR (void);
void FTSC_sender (int);
int YooHoo_Receiver (void);
void last_type (int, int, int, int);
void WaZOO (int);
int YooHoo_Sender (void);
int get_Zmodem (char *, FILE *);
int Send_Zmodem (char *, char *, int, int);
int send_WaZOO (void);
int respond_to_file_requests (int, int (*)(char *));
void mdm_hangup (void);
void Janus (void);
void invent_pkt_name (char *);
extern int (*wzsendfunc) (char *, char *, int, int);
int what_event (void);
int send_Hello (int);
void message (char *);
void set_xy (char *);
char *receive_file (char *, char *, char);
int sb_init (void);
REGIONP sb_new (int, int, int, int);
int sb_box (REGIONP, int, unsigned char);
void read_sched (void);
void parse_config (char *);
char *ctl_string (char *);
int parse (char *, struct parse_list *);
void bottom_line (void);
void do_today (void);
void boss_mail (int);
int unattended (void);
int get_number (char *);
void try_2_connect (char *);
void change_prompt (void);
int do_mail (int, int, int, int);
void ansi_map (unsigned int);
void mdm_init (char *);
void fossil_ver (void);
char *zalloc (void);
int xfermdm7 (char *);
int send_file (char *, char);
int recvmdm7 (char *);
void main (int, char **);
int opusfind (int, int, int, int);
int QuickLookup (int, int, int, int);
int TBBSLookup (int, int, int, int);
char *skip_blanks (char *);
int parse_event (char *);
char *skip_to_blank (char *);
void SEA_sendreq (void);
int try_sealink (void);
int SEA_recvreq (void);
void clear_filetransfer (void);
int fossil_wherex (void);
int fossil_wherey (void);
void throughput (int, unsigned long);
int is_arcmail (char *, int);
void update_files (int);
void send_can (void);
int fossil_block (int, char far *, int);
int bad_call (int, int, int, int);
void receive_exit (void);
void xmit_sameplace (void);
void clear_statusline (void);
void find_event (void);
void errl_exit (int);
int sb_fill (REGIONP, unsigned char, unsigned char);
long random_time (int);
int handle_inbound_mail (void);
void xmit_reset (void);
int xmit_next (int *, int *, int *);
void put_up_time (void);
unsigned int dv_get_version (void);
unsigned int tv_get_version (void);
int ddos_active (void);
int ml_active (void);
int sb_scrl (REGIONP, int);
void dos_break_off (void);
void dv_pause (void);
void ddos_pause (void);
void tv_pause (void);
void ml_pause (void);
void adios (int);
void big_pause (int);
long zfree (char *);
void show_debug_name (char *);
char *check_netfile (char *);
void unique_name (char *);
int sb_fillc (REGIONP, unsigned char);
int sb_filla (REGIONP, unsigned char);
int sb_putc (REGIONP, unsigned char);
int sb_wa (REGIONP, unsigned char, int);
int sb_wc (REGIONP, unsigned char, int);
int sb_wca (REGIONP, unsigned char, unsigned char, int);
unsigned char sb_ra (REGIONP, int, int);
unsigned char sb_rc (REGIONP, int, int);
unsigned int sb_rca (REGIONP, int, int);
int sb_set_scrl (REGIONP, int, int, int, int);
void write_sched (void);
void z_message (byte *);
int Z_GetByte (int);
void Z_PutString (unsigned char *);
void Z_SendHexHeader (unsigned int, unsigned char *);
int Z_GetHeader (unsigned char *);
int Z_GetZDL (void);
void Z_PutLongIntoHeader (long);
void xfer_summary (char *, char *, char *, long *, int, int);
void through (long *, long *, int);
void z_log (char *);
void show_loc (unsigned long, unsigned int);
void Z_UncorkTransmitter (void);
void z_log (char *);
void update_status (long *, long *, int, int *, long, int *, int, int);
char *add_backslash (char *);
char *delete_backslash (char *);
void vfossil_init (void);
int far pascal write_screen (CELL far *, int, int, int, int);
int far pascal write_chars (char far *, int, int, int, int);
void vfossil_close (void);
void vfossil_cursor (int);
MAILP find_mail (int, int, int);
void xmit_window (MAILP);
void xmit_delete (void);
char *HoldAreaNameMunge(int);
int LoadScanList (int, int);
void swapper (char *, char *, int, char *, unsigned);
void b_spawn (char *);
